SMS
GET https://smseasy.de/api/sms/
curl --request GET \
--url 'https://smseasy.de/api/sms/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://smseasy.de/api/sms/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
| page | Optional Ganzzahl | Die Seitennummer, von der Sie Ergebnisse erhalten möchten. Standardmäßig auf 1. |
| results_per_page | Optional Ganzzahl | Wie viele Ergebnisse Sie pro Seite möchten. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Der Standardwert ist 25. |
| search | Optional Zeichenkette | Die Suchzeichenfolge. |
| search_by | Optional Zeichenkette | Nach welchem Feld suchen Sie. Zulässige Werte sind: phone_number, content. |
| sms_id | Optional Ganzzahl | Filter results by SMS ID. |
| user_id | Optional Ganzzahl | Filter results by user ID. |
| device_id | Optional Ganzzahl | Filter results by device ID. |
| contact_id | Optional Ganzzahl | Filter results by contact ID. |
| sim_subscription_id | Optional Ganzzahl | Filter results by sim subscription ID. |
| campaign_id | Optional Ganzzahl | Filter results by campaign ID. |
| flow_id | Optional Ganzzahl | Filter results by flow ID. |
| rss_automation_id | Optional Ganzzahl | Filter results by RSS automation ID. |
| recurring_campaign_id | Optional Ganzzahl | Filter results by recurring campaign ID. |
| type | Optional Zeichenkette | Zulässige Werte: sent, received |
| status | Optional Zeichenkette | Zulässige Werte: sent, pending, failed, received |
| datetime_field | Optional Zeichenkette | Zulässige Werte: scheduled_datetime, datetime |
| datetime_start | Optional Zeichenkette | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional Zeichenkette | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional Zeichenkette | Nach welchem Feld die Ergebnisse sortiert werden sollen. Zulässige Werte sind: sms_id, scheduled_datetime, datetime. |
| order_type | Optional Zeichenkette | Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Reihenfolge, und DESC für absteigende Reihenfolge. |
{
"data": [
{
"sms_id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"contact_id": 1,
"campaign_id": 0,
"flow_id": 0,
"rss_automation_id": 0,
"recurring_campaign_id": 0,
"user_id": 1,
"type": "sent",
"content": "Hello world",
"status": "sent",
"error": null,
"scheduled_datetime": ""2026-06-13 04:51:30"",
"datetime": ""2026-06-13 04:51:30"",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://smseasy.de/api/sms?page=1",
"last": "https://smseasy.de/api/sms?page=1",
"next": null,
"prev": null,
"self": "https://smseasy.de/api/sms?page=1"
}
}
GET https://smseasy.de/api/sms/{sms_id}
curl --request GET \
--url 'https://smseasy.de/api/sms/{sms_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://smseasy.de/api/sms/{sms_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"sms_id": 1,
"device_id": 1,
"sim_subscription_id": 1,
"contact_id": 1,
"campaign_id": 0,
"flow_id": 0,
"rss_automation_id": 0,
"recurring_campaign_id": 0,
"user_id": 1,
"type": "sent",
"content": "Hello world",
"status": "sent",
"error": null,
"scheduled_datetime": ""2026-06-13 04:51:30"",
"datetime": ""2026-06-13 04:51:30"",
},
}
POST https://smseasy.de/api/sms
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
| content | Erforderlich Zeichenkette | - |
| device_id | Erforderlich Ganzzahl | - |
| sim_subscription_id | Erforderlich Ganzzahl | - |
| phone_numbers | Erforderlich Zeichenkette | Eine gültige Telefonnummer pro Zeile oder durch Kommas getrennte Werte (E.164 Format). |
| is_scheduled | Optional Boolesch | - |
| scheduled_datetime | Optional Zeichenkette | - |
curl --request POST \
--url 'https://smseasy.de/api/sms' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'phone_numbers=+1234567890,+9876543210' \
--url 'https://smseasy.de/api/sms' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'phone_numbers=+1234567890,+9876543210' \
{
"data": {
"sms_ids": [1,2]
}
}
DELETE https://smseasy.de/api/sms/{sms_id}
curl --request DELETE \
--url 'https://smseasy.de/api/sms/{sms_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://smseasy.de/api/sms/{sms_id}' \
--header 'Authorization: Bearer {api_key}' \